System requirements for 100.9

This page lists system requirements for the 100.9 release of ArcGIS Runtime SDK for iOS.

Developing apps

A Mac computer running an operating system listed below:

  • macOS Catalina 10.15
  • macOS Mojave 10.14 To develop apps with this release of ArcGIS Runtime SDK for iOS, you can use any version of Xcode 11 and iOS 13 SDK . You can use Objective-C or Swift to develop your apps. It's recommended that you use the latest version of Xcode to ensure that you have Apple's latest bug fixes, language support, and enhancements to both Xcode and the iOS SDKs.

Although Apple's iOS SDK contains a simulator, which provides a convenient way to run iOS applications on your Mac, it is recommended that you test your applications on actual devices to ensure they work and perform as expected. Testing on the simulator alone does not provide a good measure of how the application performs on the physical device.

Deploying your apps

iOS: Your apps can be deployed to devices running any version of iOS 13 or iOS 12.

ArcGIS software and connected services

Use this table to determine the lowest Version of the ArcGIS Software that supports a specific ArcGIS Runtime function.

ArcGIS SoftwareVersionFunctionality supported by the ArcGIS Runtime SDKs
ArcGIS Enterprise10.8
  • Standard and advanced Named User licensing supported
10.7.1
  • Scheduled updates to the feature services involved in the preplanned workflow (offline maps)
10.7
  • Annotation layers
10.6.1
  • Offline maps created using the preplanned workflow
10.4
  • Advanced parameters for the on-demand workflow (offline maps)
10.3
  • Web map and scene support.
  • Feature services.
  • Tiled services.
  • Offline maps created using the on-demand workflow.
ArcGIS Pro2.6
  • Online services for layers and tables are supported in mobile map and scene packages.
2.5
  • Elevation sources can use raster files in a mobile scene package.
  • Transportation networks in a mobile scene package.
  • Vector tile packages with custom styles in mobile map packages.
2.4
  • Expiration of mobile map and scene packages (requires the Publisher Extension)
  • Utility network (version 3)
2.3.2
  • Create a mobile scene package (.mspk)
2.3
  • Create annotation layers and publish in a mobile map package
  • Next generation (.loz) locators
2.2
  • Create a mobile map package (.mmpk)
  • Utility network (version 2)
ArcMap10.3
  • Create Runtime Content

Versions of supported specifications

Specifications supported in this release include the following:

  • GeoPackage versions 1.0, 1.1, and 1.2
  • Military standards APP-6(B), APP-6(D), MIL-STD-2525B (change 2), MIL-STD-2525C, and MIL-STD-2525D
  • Web Feature Service (WFS) versions 2.0.0 and 2.0.2
  • Web Map Service (WMS) versions 1.1.0, 1.1.1, and 1.3.0
  • WMTS version 1.0.0
Augmented reality: ARKit version 1 is supported

For older system requirements, see past guide versions in PDF format on the downloads page (requires sign-in).

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.